
GammaLib - Change request #1829

GSkyProjection::coordsys should return "CEL" and not "EQU"

07/30/2016 01:44 AM - Knödlseder Jürgen

Status: Closed Start date: 07/30/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

Just discovered that the GSkyProjection::coordsys method returns "EQU" instead of "CEL", but all ctools accept "CEL".

I don't remember why I have chosen "EQU". Should investigate this, and unless there is a reason, change to "CEL".

History

#1 - 03/03/2017 10:28 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#2 - 06/06/2017 04:20 PM - Knödlseder Jürgen

- Target version deleted (1.3.0)

#3 - 07/08/2019 10:50 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#4 - 06/30/2020 05:57 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 100

I changed GSkyProjection::coordsys() so that it now returns CEL instead of EQU.

EQU is everywhere else also replaced by CEL, yet the GSkyProjection::coordsys(const std::string& coordsys) method still accepts EQU on input for

compatibility reasons.

#5 - 06/30/2020 08:42 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.
